New metatrader 4 compatible indicators - page 103

Jaquanburton
327
Jaquanburton  

Hi Mladen! Is there anyway you or anyone else can make the attached indicator compatible with the new MT4 build. I'm thinking it may be different than other traditional adx cross indicators. Thanks!

Files:
Mladen Rakic
160088
Mladen Rakic  
Jaquanburton:
Hi Mladen! Is there anyway you or anyone else can make the attached indicator compatible with the new MT4 build. I'm thinking it may be different than other traditional adx cross indicators. Thanks!

It is compatible with new metatrader 4

And it also is using future data for calculation. Better to use some correctly coded adx cross indicator

dansmol
211
dansmol  

Dear mladen

It is possible to make the 2 indicators attached,

compatible with the new MT4?

I need to use them in basket trading

My respects

Dan

Files:
Mladen Rakic
160088
Mladen Rakic  
dansmol:
Dear mladen

It is possible to make the 2 indicators attached,

compatible with the new MT4?

I need to use them in basket trading

My respects

Dan

Dan

Here is this one : 5_pair_has_nmc.mq4

Files:
Jaquanburton
327
Jaquanburton  
mladen:
It is compatible with new metatrader 4 And it also is using future data for calculation. Better to use some correctly coded adx cross indicator

Are you sure its compatible? According to my MT4 it's not. When I tried to compile I get these errors:

'ExtMapBuffer1' - undeclared identifier ADX_Cross(1).mq4 8 101

'SetIndexBuffer' - no one of the overloads can be applied to the function call ADX_Cross(1).mq4 8 83

'ExtMapBuffer2' - undeclared identifier ADX_Cross(1).mq4 8 203

'SetIndexBuffer' - no one of the overloads can be applied to the function call ADX_Cross(1).mq4 8 185

'ADXcrossesPeriod' - undeclared identifier ADX_Cross(1).mq4 8 257

'nShift' - undeclared identifier ADX_Cross(1).mq4 8 393

'b4plusdi' - undeclared identifier ADX_Cross(1).mq4 14 244

'ADXcrossesPeriod' - undeclared identifier ADX_Cross(1).mq4 14 269

'nowplusdi' - undeclared identifier ADX_Cross(1).mq4 14 328

'b4minusdi' - undeclared identifier ADX_Cross(1).mq4 14 409

'nowminusdi' - undeclared identifier ADX_Cross(1).mq4 14 495

'ExtMapBuffer1' - undeclared identifier ADX_Cross(1).mq4 14 642

'nShift' - undeclared identifier ADX_Cross(1).mq4 14 670

'ExtMapBuffer2' - undeclared identifier ADX_Cross(1).mq4 14 753

'nShift' - undeclared identifier ADX_Cross(1).mq4 14 782

15 error(s), 0 warning(s) 16 1

Mladen Rakic
160088
Mladen Rakic  
Jaquanburton:
Are you sure its compatible? According to my MT4 it's not. When I tried to compile I get these errors:

'ExtMapBuffer1' - undeclared identifier ADX_Cross(1).mq4 8 101

'SetIndexBuffer' - no one of the overloads can be applied to the function call ADX_Cross(1).mq4 8 83

'ExtMapBuffer2' - undeclared identifier ADX_Cross(1).mq4 8 203

'SetIndexBuffer' - no one of the overloads can be applied to the function call ADX_Cross(1).mq4 8 185

'ADXcrossesPeriod' - undeclared identifier ADX_Cross(1).mq4 8 257

'nShift' - undeclared identifier ADX_Cross(1).mq4 8 393

'b4plusdi' - undeclared identifier ADX_Cross(1).mq4 14 244

'ADXcrossesPeriod' - undeclared identifier ADX_Cross(1).mq4 14 269

'nowplusdi' - undeclared identifier ADX_Cross(1).mq4 14 328

'b4minusdi' - undeclared identifier ADX_Cross(1).mq4 14 409

'nowminusdi' - undeclared identifier ADX_Cross(1).mq4 14 495

'ExtMapBuffer1' - undeclared identifier ADX_Cross(1).mq4 14 642

'nShift' - undeclared identifier ADX_Cross(1).mq4 14 670

'ExtMapBuffer2' - undeclared identifier ADX_Cross(1).mq4 14 753

'nShift' - undeclared identifier ADX_Cross(1).mq4 14 782

15 error(s), 0 warning(s) 16 1

This is the result of compiling that indicator on my PC :

Attaching the indicators itself (I did not change anything in it) - the one that I compiled in that example adx_cross_1.mq4

Files:
Mladen Rakic
160088
Mladen Rakic  
dansmol:
Dear mladen

It is possible to make the 2 indicators attached,

compatible with the new MT4?

I need to use them in basket trading

My respects

Dan

And here is this one : 14_pair_has_nmc.mq4

PS: both indicators need "Heiken_Ashi_Smoothed" to work

Files:
Jaquanburton
327
Jaquanburton  
mladen:
This is the result of compiling that indicator on my PC :

Attaching the indicators itself (I did not change anything in it) - the one that I compiled in that example adx_cross_1.mq4

Ok thanks Mladen the one I downloaded from your previous post worked. I'm on build 625 still so that may be the reason why.

dansmol
211
dansmol  
mladen:
And here is this one : 14_pair_has_nmc.mq4 PS: both indicators need "Heiken_Ashi_Smoothed" to work

MY DEEPEST RESPECTS

DAN

ahmet
5
ahmet  

guys pleace fix dont work

Files: